package abacus.springboot.example.api.view;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "稽查收货列表" , name = "ApiJcBillSearch")
public class ApiJcBillSearch {

	@Schema(description="稽查单号", required = false, example="JC202411180001")
	private String billid; 
	
	@Schema(description = "收货日期", required = false, example = "2024-11-11")
	private String receivedt;
	
	@Schema(description = "收货产品", required = false, example = "荷花")
	private String goods;
	
	@Schema(description = "收货数量", required = false, example = "6")
	private double quantity;
	
	@Schema(description="状态", required = false, pattern = "溯源驳回：-2，待提交：0，系统溯源验证通过：1，待溯源：2，待入库：3，入库待审核：4，已入库：5 ，部分回购：6，回购完成：7", example = "1")
	private int status;
	
	@Schema(hidden = true)
	private int hgstatus;
	
	public int getHgstatus() {
		return hgstatus;
	}

	public void setHgstatus(int hgstatus) {
		this.hgstatus = hgstatus;
	}

	public String getBillid() {
		return billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getReceivedt() {
		return receivedt;
	}

	public void setReceivedt(String receivedt) {
		this.receivedt = receivedt;
	}

	public String getGoods() {
		return goods;
	}

	public void setGoods(String goods) {
		this.goods = goods;
	}

	public double getQuantity() {
		return quantity;
	}

	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}
}
